Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # RandomAccess2DImageConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename Img> struct boost::gil::RandomAccess2DImageConcept< Img > 2-dimensional container of values
    concept RandomAccess2DImageConcept<RandomAccessNDImageConcept Img> {
        typename x_coord_t = const_view_t::x_coord_t;
        typename y_coord_t = const_view_t::y_coord_t;

        Img::Img(x_coord_t width, y_coord_t height, std::size_t alignment=1);
        Img::Img(x_coord_t width, y_coord_t height, value_type fill_value, std::size_t alignment);

        x_coord_t Img::width() const;
        y_coord_t Img::height() const;

        void Img::recreate(x_coord_t width, y_coord_t height, std::size_t alignment=1);
        void Img::recreate(x_coord_t width, y_coord_t height, value_type fill_value, std::size_t alignment);
    };
## Public Member Functions
void | constraints ()
## Public Attributes
Img | img
The documentation for this struct was generated from the following file: gil_concept.hpp